FolksDummy.Backend – folks-dummy Reference Manual

# Backend

## Object Hierarchy:

## Description:

public class Backend : Backend

A backend which allows FolksDummy.PersonaStores and FolksDummy.Personas to be programmatically created and manipulated, for the purposes of testing the core of libfolks itself.

This backend is not meant to be enabled in production use. The methods on FolksDummy.Backend (and other classes) for programmatically manipulating the backend's state are considered internal to libfolks and are not stable.

This backend maintains two sets of persona stores: the set of all persona stores, and the set of enabled persona stores (which must be a subset of the former). FolksDummy.Backend.register_persona_stores adds persona stores to the set of all stores. Optionally it also enables them, adding them to the set of enabled stores. The set of persona stores advertised by the backend as Folks.Backend.persona_stores is the set of enabled stores. libfolks may internally enable or disable stores using Folks.Backend.enable_persona_store, Folks.Backend.disable_persona_store and Folks.Backend.set_persona_stores. The `register_` and `unregister_` prefixes are commonly used for backend methods.

The API in FolksDummy is unstable and may change wildly. It is designed mostly for use by libfolks unit tests.

## Since:

0.9.7

Namespace: FolksDummy
Package: folks-dummy

## Content:

### Properties:

- public override bool is_prepared { get; }
  Whether this Backend has been prepared.
- public override bool is_quiescent { get; }
  Whether this Backend has reached a quiescent state.
- public override string name { get; }
- public override Map<string,PersonaStore> persona_stores { get; }

### Creation methods:

- public Backend ()

### Methods:

- public override void disable_persona_store (PersonaStore store)
- public override void enable_persona_store (PersonaStore store)
- public override async void prepare () throws Error
- public void register_persona_stores (Set<PersonaStore> stores, bool enable_stores = true)
  Register and enable some FolksDummy.PersonaStores.
- public override void set_persona_stores (Set<string>? store_ids)
- public override async void unprepare () throws Error
- public void unregister_persona_stores (Set<PersonaStore> stores)
  Disable and unregister some FolksDummy.PersonaStores.

### Inherited Members:

All known members inherited from class Folks.Backend

- disable_persona_store
- enable_persona_store
- is_prepared
- is_quiescent

- name
- persona_store_added
- persona_store_removed
- persona_stores

- prepare
- set_persona_stores
- unprepare

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref